org.apache.sysds.hops.codegen

## Enum SpoofFusedOp.SpoofOutputDimsType

- java.lang.Object
- - java.lang.Enum<SpoofFusedOp.SpoofOutputDimsType>
  - - org.apache.sysds.hops.codegen.SpoofFusedOp.SpoofOutputDimsType

All Implemented Interfaces:
  Serializable, Comparable<SpoofFusedOp.SpoofOutputDimsType>

Enclosing class:
  SpoofFusedOp

    public static enum SpoofFusedOp.SpoofOutputDimsType
    extends Enum<SpoofFusedOp.SpoofOutputDimsType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COLUMN_DIMS_COLS`
`COLUMN_DIMS_ROWS`
`COLUMN_RANK_DIMS`
`COLUMN_RANK_DIMS_T`
`INPUT_DIMS`
`INPUT_DIMS_CONST2`
`MULTI_SCALAR`
`RANK_DIMS_COLS`
`ROW_DIMS`
`ROW_RANK_DIMS`
`SCALAR`
`VECT_CONST2`

### Method Summary

All Methods Static Methods Concrete Methods
`static SpoofFusedOp.SpoofOutputDimsType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SpoofFusedOp.SpoofOutputDimsType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INPUT_DIMS

    public static final SpoofFusedOp.SpoofOutputDimsType INPUT_DIMS

#### INPUT_DIMS_CONST2

    public static final SpoofFusedOp.SpoofOutputDimsType INPUT_DIMS_CONST2

#### ROW_DIMS

    public static final SpoofFusedOp.SpoofOutputDimsType ROW_DIMS

#### COLUMN_DIMS_ROWS

    public static final SpoofFusedOp.SpoofOutputDimsType COLUMN_DIMS_ROWS

#### COLUMN_DIMS_COLS

    public static final SpoofFusedOp.SpoofOutputDimsType COLUMN_DIMS_COLS

#### RANK_DIMS_COLS

    public static final SpoofFusedOp.SpoofOutputDimsType RANK_DIMS_COLS

#### SCALAR

    public static final SpoofFusedOp.SpoofOutputDimsType SCALAR

#### MULTI_SCALAR

    public static final SpoofFusedOp.SpoofOutputDimsType MULTI_SCALAR

#### ROW_RANK_DIMS

    public static final SpoofFusedOp.SpoofOutputDimsType ROW_RANK_DIMS

#### COLUMN_RANK_DIMS

    public static final SpoofFusedOp.SpoofOutputDimsType COLUMN_RANK_DIMS

#### COLUMN_RANK_DIMS_T

    public static final SpoofFusedOp.SpoofOutputDimsType COLUMN_RANK_DIMS_T

#### VECT_CONST2

    public static final SpoofFusedOp.SpoofOutputDimsType VECT_CONST2

### Method Detail

#### values

    public static SpoofFusedOp.SpoofOutputDimsType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SpoofFusedOp.SpoofOutputDimsType c : SpoofFusedOp.SpoofOutputDimsType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SpoofFusedOp.SpoofOutputDimsType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null